[Документация Yandex Cloud](../../../index.md) > [Yandex Cloud Video](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Video](index.md) > GenerateDownloadURL

# Video API, REST: Video.GenerateDownloadURL

Generates a URL for downloading the original video file.
This URL is time-limited and provides direct access to the source video.

## HTTP request

```
POST https://video.api.yandexcloud.kz/video/v1/videos/{videoId}:generateDownloadURL
```

## Path parameters

#|
||Field | Description ||
|| videoId | **string**

Required field. ID of the video for which to generate a download URL.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.video.v1.GenerateVideoDownloadURLResponse}

**HTTP Code: 200 - OK**

```json
{
  "downloadUrl": "string"
}
```

#|
||Field | Description ||
|| downloadUrl | **string**

Time-limited URL for downloading the original video file.
This URL provides direct access to the source video file
and can be used with standard download tools. ||
|#